﻿@model IEnumerable<ListKong.Models.LocationListModel>

@{
    ViewData["Title"] = "Manage Location";
}

<div class="container-fluid" style="min-height: 500.8px;margin:0 !important;">

    <section class="content-header">

        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i><span class="icon-after-span"> Home</span></a></li>
            <li class="active">Manage Location</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="box-title">Location Listing</h4>
                        <div class="box-tools">
                            <div class="input-group input-group-sm" style="width: 150px;text-align:right;">
                                <a asp-controller="Location" asp-action="AddLocation"><i class="fa fa-plus-circle"></i><span class="icon-after-span">Add New</span></a>
                            </div>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="panel-body table-responsive">
                        @if (!string.IsNullOrEmpty(Convert.ToString(TempData["ErrorMessage"])))
                        {
                            <div class="alert alert-danger">  @TempData["ErrorMessage"]</div>
                            <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                            </script>
                        }
                        @if (!string.IsNullOrEmpty(Convert.ToString(TempData["SuccessMessage"])))
                        {
                            <div class="alert alert-success">  @TempData["SuccessMessage"]</div>
                            <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                            </script>
                        }
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>
                                        @Html.DisplayNameFor(model => model.CompanyName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.LocationName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.Country)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.State)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.City)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.ZipCode)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.CreatedOn)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.IsDefaultLocation)
                                    </th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model)
                                {
                                    <tr>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.CompanyName)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.LocationName)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.Country)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.State)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.City)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.ZipCode)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.CreatedOn)
                                        </td>
                                        <td>
                                            @*@Html.DisplayFor(modelItem => item.IsDefaultLocation)*@
                                            <input type="checkbox" class="chk" data-id="@item.LocationId" asp-for="@item.IsDefaultLocation" />
                                        </td>
                                        <td>
                                            <a asp-action="Edit" asp-route-id="@item.LocationId" class="fa fa-edit margin-left-10" title="Edit Location"></a>
                                            @if (item.IsDefaultLocation == true)
                                            {

                                            }
                                            else
                                            { 
                                        <a asp-action="Delete" asp-route-id="@item.LocationId" onclick="return confirm('Are sure wants to delete?');" class="fa fa-trash" title="Delete Location"></a>
                                            }
                                            
                                            @*@Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ }) |
        @Html.ActionLink("Details", "Details", new { /* id=item.PrimaryKey */ }) |
        @Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })*@
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
                <div>
                </div>
            </div>
        </div>
    </section>
</div>
<script>
    $(document).ready(function () {
        $('.chk').change(function () {
            var id = $(this).attr("data-id");
            var checkbox = $(this);
            alertify.confirm("Are you sure you want to set this default location?", function (e) {
                if (e) {
                    $.get("/Location/SetDefaultLocation", { Id: id }, function (data) {
                        if (data == "Ok") {
                            $('.chk').attr('checked', false);
                            $(checkbox).attr('checked', true);
                            $(checkbox).prop('checked', true);
                            $(checkbox).attr('checked', 'checked');
                            location.reload();
                        }
                        else {
                            $(checkbox).attr('checked', false);
                        }
                    });
                }
                else {
                    alert('0')
                    $(checkbox).attr('checked', false);
                }
            }, function () { $(checkbox).attr('checked', false); }).setHeader('');

        });

    })
    function alertFun() {
        alertify.confirm("Are you sure you want to delete this location?", function (e) {
            if (e) {
                return true;
            }
        }).setHeader('');
    };
</script>